curl --request GET \
--url https://app.spotdx.com/api/v2/requisitions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.spotdx.com/api/v2/requisitions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.spotdx.com/api/v2/requisitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requisition_id": "f0e5a607-5b52-4d7c-a3f2-c40772d41482",
"barcode": "19742938328",
"account_number": "1234567890",
"lab": "CRL",
"panels": [
"PANEL-123"
],
"state_collected": "OH",
"patient": {
"first_name": "Alice",
"last_name": "Smith",
"email": "alice123@gmail.com",
"phone": "1234567890",
"sex": "F",
"date_of_birth": "2023-12-25",
"address": {
"address": {
"street1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"country": "US",
"zip": "94105",
"street2": "Apt 1"
}
}
},
"tracking": {
"tracking_number": "9400123456789999876500",
"carrier": "usps"
},
"status": "resulted",
"events": [
{
"event": "created",
"date": "2020-01-01T00:00:00Z"
},
{
"event": "approved",
"date": "2020-01-01T00:00:00Z"
},
{
"event": "delivered",
"date": "2020-01-02T00:00:00Z"
},
{
"event": "received",
"date": "2020-01-03T00:00:00Z"
},
{
"event": "extra_quality_checks",
"date": "2020-01-04T00:00:00Z"
},
{
"event": "resulted",
"date": "2020-01-05T00:00:00Z"
}
],
"reports": [
{
"report_id": "<string>",
"results": [
{
"result_type": "quantity",
"name": "HDL Cholesterol",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": 123,
"unit_of_measure": "mg/dL",
"range_minimum": 20,
"range_maximum": 200,
"comments": null
},
{
"result_type": "quantity",
"name": "Vitamin B12",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "<10",
"unit_of_measure": "pg/mL",
"range_minimum": 20,
"range_maximum": 200,
"comments": null
},
{
"result_type": "reactivity",
"name": "Chlamydia",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "negative",
"unit_of_measure": null,
"range_minimum": null,
"range_maximum": null,
"comments": null
},
{
"result_type": "genotype",
"name": "rs1234567",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "TT",
"unit_of_measure": null,
"range_minimum": null,
"range_maximum": null,
"comments": null
}
],
"pdf": "https://app.spotkits.com/results/f0e5a607-5b52-4d7c-a3f2-c40772d41482.pdf",
"txt": "https://app.spotkits.com/results/f0e5a607-5b52-4d7c-a3f2-c40772d41482.txt",
"date_collected": "2023-11-07T05:31:56Z",
"date_received": "2023-11-07T05:31:56Z",
"date_resulted": "2023-11-07T05:31:56Z",
"is_amendment": false
}
],
"attributes": {
"crl_slip_id": "1234567890",
"crl_tier3_account_number": "12345678"
},
"metadata": {
"some_key": "some_value"
},
"created": "2020-01-01T00:00:00Z",
"updated": "2020-01-01T00:00:00Z"
}{
"error": {
"status": 400,
"type": "bad_request",
"detail": "The first_name field is required"
}
}{
"error": {
"status": 404,
"type": "forbidden",
"detail": "Kit id SPOTZZZZZZ not found"
}
}Get requisition
Retrieve a requisition.
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
The ID of the requisition to retrieve.
Response
The ID of the requisition.
"f0e5a607-5b52-4d7c-a3f2-c40772d41482"
The full barcode of the sample mailed to the lab. Must be globally unique.
"19742938328"
The account number submitted to the lab.
"1234567890"
The name of the lab that will process the sample.
"CRL"
The panel codes of the test being performed on the sample. We'll create these with you during onboarding.
["PANEL-123"]
The two letter code of the state where the sample was collected.
"OH"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
created, approved, denied, delivered, received, extra_quality_checks, resulted, rejected, delivery_exception "resulted"
Show child attributes
Show child attributes
[
{
"event": "created",
"date": "2020-01-01T00:00:00Z"
},
{
"event": "approved",
"date": "2020-01-01T00:00:00Z"
},
{
"event": "delivered",
"date": "2020-01-02T00:00:00Z"
},
{
"event": "received",
"date": "2020-01-03T00:00:00Z"
},
{
"event": "extra_quality_checks",
"date": "2020-01-04T00:00:00Z"
},
{
"event": "resulted",
"date": "2020-01-05T00:00:00Z"
}
]
Show child attributes
Show child attributes
An optional set of values that can be passed through to specific labs.
Show child attributes
Show child attributes
{
"crl_slip_id": "1234567890",
"crl_tier3_account_number": "12345678"
}
An optional dictionary of key-value pairs stored with the requisition.
{ "some_key": "some_value" }
"2020-01-01T00:00:00Z"
"2020-01-01T00:00:00Z"